Skip to main content
POST
/
payout
/
methods
/
wallets
Add wallet payout method
curl --request POST \
  --url https://api-staging.stablestack.xyz/api/payout/methods/wallets \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "type": "WALLET",
  "wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
  "network": "bep20",
  "currency": "USDC",
  "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e",
  "label": "usdc wallet"
}
'
{
  "status": "success",
  "data": {
    "id": "10530920-81eb-451e-a205-16f9ddb1949a",
    "type": "WALLET",
    "currency": "USDC",
    "label": "usdc wallet",
    "wallet_address": "0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB",
    "network": "bep20",
    "created_at": "2025-05-19T19:22:34.511Z",
    "updated_at": "2025-05-19T19:22:34.511Z",
    "customer_id": null
  },
  "message": "Merchant payout method added successfully!"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stablestack.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Adds a new wallet payout method (either merchant-owned or customer-specific).
  • Include customer_id to create for a specific customer
  • Omit customer_id to create merchant-owned wallet

Request Body:

{
  "customer_id": "85b148ab-3f6b-4d55-917f-3c8de668a48e", // optional
  "label": "usdc wallet", // optional
  "wallet_address": "0x7fD41923E23DcE32d1A346e96558dA89f89DD1aB",
  "network": "bep20",
  "currency": "USDC"
}

Headers

x-api-key
string
required

Body

application/json
type
enum<string>
default:WALLET
required

Must be 'WALLET' for this endpoint

Available options:
WALLET
wallet_address
string
required
Example:

"0x9iu41923E23DcE32d1A346e96558dA89f89DD1aB"

network
enum<string>
required
Available options:
erc20,
polygon
Example:

"bep20"

currency
enum<string>
required
Available options:
USDC
Example:

"USDC"

customer_id
string | null

Required only for customer-specific payout methods

Example:

"85b148ab-3f6b-4d55-917f-3c8de668a48e"

label
string
Maximum string length: 100
Example:

"usdc wallet"

Response

Wallet added successfully

status
string
Example:

"success"

data
object
message
string
Example:

"Payout method added successfully"